Subject: WG Action: Media Gateway Control (megaco)

From: The IESG <[email-masked]>
Date: Fri, 22 Jan 1999 11:45:07 -0500

A new working group has been formed in the Transport Area of the
IETF. Please contact the chair or Area Directors for additional
information.

Media Gateway Control (megaco)
------------------------------

 Current Status: Active Working Group
 
 Chair(s):
     Tom Taylor <[email-masked]>
 
 Transport Area Director(s): 
     Scott Bradner  <[email-masked]>
     Vern Paxson  <[email-masked]>
 
 Transport Area Advisor: 
     Scott Bradner  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe megaco
     Archive:           ftp://ftp.baynetworks.com/pub/outgoing/lyo/megaco
 
Description of Working Group:
 
The working group will develop an informational RFC detailing the
architecture and requirements for controlling Media Gateways from 
external control elements such as a Media Gateway Controller. A media
gateway is a network element that provides conversion between the
information carried on telephone circuits and data packets carried over
the Internet or over other IP networks.  This work will be done in 
consultation with other IETF working groups looking at similar issues.  
The working group will also ensure that good information conduits exist 
with groups in other standards groups with expertise in the relevant 
PSTN technology.  Other IETF working groups include PINT, IPTEL and 
SIGTRAN.  In addition the working group will ensure that reasonable 
liaisons exist with similar activities in other standards bodies such as 
the ITU-T and ETSI.

This working group will also define standards track protocol(s) for
controlling media gateways from external control elements such as a 
media gateway controller.

Examples of media gateways are:

 * Trunking gateways that interface between the telephone
   network and a Voice over IP network. Such gateways
   typically manage a large number of digital virtual circuits.
 * Access gateways that provide traditional analog or Primary
   Rate (PRI) line interfaces to a Voice over IP network.
 * Network Access Servers that can attach a "modem" to a
   telephone circuit and provide data access to the
   Internet.

This working group assumes a separation of call control so the call 
control "intelligence" is outside the media gateways and handled by a 
media gateway controller. This group will NOT work on media gateway 
controller to media gateway controller protocols, nor on media gateway 
to media gateway protocols.

This group will NOT work on media gateway controller to media gateway 
controller protocols, nor on media gateway to media gateway protocols.

The working group will ensure that the security issues relating to the 
use of the standards track protocol in hostile environments are fully 
understood and that the protocol will will include security mechanisms 
to protect against attacks on the protocol and to ensure confidentiality 
where needed.

Planned output:

  * Architecture & Requirements informational RFC

  * Standards Track RFC for the protocol between a media
    gateway controller and a media gateway.

  * Standards Track RFC for the MG and MC MIBs

  * Informational RFC for application programming interface
    for the MC to MG protocol
 
 Goals and Milestones: 
 
   Jan 99       Submit Initial draft of architecture and requirements document 

   Feb 99       Initial draft of protocol between MC and MG                    

   Apr 99       Submit architecture and requirements document to IESG          

   Apr 99       Updated draft of protocol between MC and MG                    

   Apr 99       Initial draft of MG and MC MIBs                                

   Apr 99       Initial draft of Application Programming Interface (API) for 
                the protocol between the MC and the MG                         

   Jul 99       Submit protocol(s) between MC and MG to IESG for publication as
                RFCs                                                           

   Jul 99       Submit RFC MIBs for MC and MG to IESG for publication as RFCs  

   Jul 99       Submit API for the protocol to the IESG for publication as an 
                RFC                                                            

   Aug 99       Close Working Group